cURL
curl --request POST \
--url 'https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/attachments' \
--header 'BLINK-API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"attachment": "a97cfe4c-8ce3-4f67-ad17-a17f6087663a",
"description": "Network log file for analysis",
"name": "Network Log File",
"type": "Network Log"
}'import requests
url = "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/attachments"
payload = {
"attachment": "a97cfe4c-8ce3-4f67-ad17-a17f6087663a",
"description": "Network log file for analysis",
"name": "Network Log File",
"type": "Network Log"
}
headers = {
"BLINK-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.request("POST", url, json=payload, headers=headers)
print(response.text)
const url = 'https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/attachments';
const options = {
method: 'POST',
headers: {'BLINK-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
"attachment": "a97cfe4c-8ce3-4f67-ad17-a17f6087663a",
"description": "Network log file for analysis",
"name": "Network Log File",
"type": "Network Log"
})
};
fetch(url, options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/attachments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => '{"attachment":"a97cfe4c-8ce3-4f67-ad17-a17f6087663a","description":"Network log file for analysis","name":"Network Log File","type":"Network Log"}',
CURLOPT_HTTPHEADER => [
"BLINK-API-KEY: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/attachments"
payload := strings.NewReader(`{"attachment":"a97cfe4c-8ce3-4f67-ad17-a17f6087663a","description":"Network log file for analysis","name":"Network Log File","type":"Network Log"}`)
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("BLINK-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/attachments")
.header("BLINK-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\"attachment\":\"a97cfe4c-8ce3-4f67-ad17-a17f6087663a\",\"description\":\"Network log file for analysis\",\"name\":\"Network Log File\",\"type\":\"Network Log\"}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/attachments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["BLINK-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\"attachment\":\"a97cfe4c-8ce3-4f67-ad17-a17f6087663a\",\"description\":\"Network log file for analysis\",\"name\":\"Network Log File\",\"type\":\"Network Log\"}"
response = http.request(request)
puts response.read_body
{
"attachment": "a97cfe4c-8ce3-4f67-ad17-a17f6087663a",
"description": "Network log file for analysis",
"name": "Network Log File",
"type": "Network Log"
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}Case Management
Create an Attachment
API endpoint to create a new attachment in Blink’s case management system.
POST
/
workspace
/
{ws_id}
/
case_management
/
table
/
attachments
cURL
curl --request POST \
--url 'https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/attachments' \
--header 'BLINK-API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"attachment": "a97cfe4c-8ce3-4f67-ad17-a17f6087663a",
"description": "Network log file for analysis",
"name": "Network Log File",
"type": "Network Log"
}'import requests
url = "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/attachments"
payload = {
"attachment": "a97cfe4c-8ce3-4f67-ad17-a17f6087663a",
"description": "Network log file for analysis",
"name": "Network Log File",
"type": "Network Log"
}
headers = {
"BLINK-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.request("POST", url, json=payload, headers=headers)
print(response.text)
const url = 'https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/attachments';
const options = {
method: 'POST',
headers: {'BLINK-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
"attachment": "a97cfe4c-8ce3-4f67-ad17-a17f6087663a",
"description": "Network log file for analysis",
"name": "Network Log File",
"type": "Network Log"
})
};
fetch(url, options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/attachments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => '{"attachment":"a97cfe4c-8ce3-4f67-ad17-a17f6087663a","description":"Network log file for analysis","name":"Network Log File","type":"Network Log"}',
CURLOPT_HTTPHEADER => [
"BLINK-API-KEY: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/attachments"
payload := strings.NewReader(`{"attachment":"a97cfe4c-8ce3-4f67-ad17-a17f6087663a","description":"Network log file for analysis","name":"Network Log File","type":"Network Log"}`)
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("BLINK-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/attachments")
.header("BLINK-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\"attachment\":\"a97cfe4c-8ce3-4f67-ad17-a17f6087663a\",\"description\":\"Network log file for analysis\",\"name\":\"Network Log File\",\"type\":\"Network Log\"}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/attachments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["BLINK-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\"attachment\":\"a97cfe4c-8ce3-4f67-ad17-a17f6087663a\",\"description\":\"Network log file for analysis\",\"name\":\"Network Log File\",\"type\":\"Network Log\"}"
response = http.request(request)
puts response.read_body
{
"attachment": "a97cfe4c-8ce3-4f67-ad17-a17f6087663a",
"description": "Network log file for analysis",
"name": "Network Log File",
"type": "Network Log"
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}Authorizations
Use your API key to access BlinkOps API. To generate an API key, please log in to your BlinkOps account and navigate to the API Keys section in the user settings page. Add the generated key to your request headers as BLINK-API-KEY.
Path Parameters
Workspace ID
Body
*/*
Attachment Data
Was this page helpful?